;===============================================================================
;INCLUDE FILE: - BANK_ROUTINES.INC
;
;PURPOSE: - This file is used to manage the switching from the current BANK
;to another bank for the PIC16F877A. These set of routines uses MACROS.
;
;
; 1.       BANK0 -> Switch to RAM BANK 0
; 2.       BANK1 -> Switch to RAM BANK 1
; 3.       BANK2 -> Switch to RAM BANK 2
; 4.       BANK3 -> Switch to RAM BANK 3
;
;
;
;===============================================================================  
; 1.       BANK0 -> Switch to RAM BANK 0
;
; PURPOSE: - Switch to BANK 0.. 
;===============================================================================  
BANK0     macro                         ; Macro to select data RAM BANK 0
          bcf       STATUS,RP0
          bcf       STATUS,RP1
          endm

;===============================================================================  
; 2.       BANK0 -> Switch to RAM BANK 0
;
; PURPOSE: - Switch to BANK 0.. 
;===============================================================================  
BANK1     macro                         ; Macro to select data RAM BANK 1
          bsf       STATUS,RP0
          bcf       STATUS,RP1
          endm

;===============================================================================  
; 3.       BANK0 -> Switch to RAM BANK 0
;
; PURPOSE: - Switch to BANK 0.. 
;===============================================================================  
BANK2     macro                         ; Macro to select data RAM BANK 2
          bcf       STATUS,RP0
          bsf       STATUS,RP1
          endm

;===============================================================================  
; 4.       BANK0 -> Switch to RAM BANK 0
;
; PURPOSE: - Switch to BANK 0.. 
;===============================================================================  
BANK3     macro                         ; Macro to select data RAM BANK 3
          bsf       STATUS,RP0
          bsf       STATUS,RP1
          endm

